Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159091 - inkscape warning popup on startup about not been able to load some extensions
Summary: inkscape warning popup on startup about not been able to load some extensions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phillip Compton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-29 09:10 UTC by Rudolf Kastl
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.42-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-23 13:42:09 UTC


Attachments (Terms of Use)

Description Rudolf Kastl 2005-05-29 09:10:49 UTC
Description of problem:
Inkscape opens a warning popup that extensions failed to load

Erweiterung "Postscript Input" Laden fehlgeschlagen wegen die Abhängigkeiten
konnten nicht aufgelöst werden.
Dependency::
  type: executable
  location: path
  string: pstoedit

Erweiterung "EPS Input" Laden fehlgeschlagen wegen die Abhängigkeiten konnten
nicht aufgelöst werden.
Dependency::
  type: extension
  location: path
  string: org.inkscape.input.ps

Erweiterung "AI Output" Laden fehlgeschlagen wegen die Abhängigkeiten konnten
nicht aufgelöst werden.
Dependency::
  type: executable
  location: path
  string: pstoedit

Erweiterung "Grid" Laden fehlgeschlagen wegen die Abhängigkeiten konnten nicht
aufgelöst werden.
Dependency::
  type: plugin
  location: path
  string: grid

Erweiterung "GIMP Gradients" Laden fehlgeschlagen wegen die Abhängigkeiten
konnten nicht aufgelöst werden.
Dependency::
  type: plugin
  location: path
  string: gimpgrad

Erweiterung "Sketch Input" Laden fehlgeschlagen wegen die Abhängigkeiten konnten
nicht aufgelöst werden.
Dependency::
  type: executable
  location: path
  string: skconvert

the german sentence on each module means "loading failed because the
dependencies couldnt be resolved"

Version-Release number of selected component (if applicable):
inkscape-0.41-1

How reproducible:
always

Steps to Reproduce:
1. yum install inkscape
2. open terminal
3. inkscape
4. read the error log ;)
  
Actual results:
certain modules cant be loaded because of dependency problems

Expected results:
clean startup of inkscape after yumming it

Additional info:
just ask ;)

Comment 1 Nicu Buculei 2005-06-14 14:01:31 UTC
This is not a Fedora bug, is the desired upstream behaviour, see for more info
http://sourceforge.net/tracker/index.php?func=detail&aid=1119649&group_id=93438&atid=604306

The warning dialog was introduced in Inkscape 0.41 to inform users about
possible functionality missing when some plugins are not installed. Due to
numerous users complaints, it appears the dialog will be swithced off in 0.42,
due in about one month from now.


Note You need to log in before you can comment on or make changes to this bug.